- Main Page
- Modules
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Writer Class Reference

Inherits ObjectImpl.

Inherited by BufferedWriter, OutputStreamWriter, SystemErrWriter, and SystemOutWriter.

List of all members.

## Detailed Description

Abstract class for writing to character streams.

## Public Member Functions
virtual void | close (Pool &p)=0
virtual void | flush (Pool &p)=0
virtual void | write (const LogString &str, Pool &p)=0
## Protected Member Functions
| Writer ()
virtual | ~Writer ()

## Constructor & Destructor Documentation

Writer | ( |  | ) | `[protected]`

virtual ~Writer | ( |  | ) | `[protected, virtual]`

## Member Function Documentation

virtual void close | ( | Pool & | p | ) | `[pure virtual]`

| Implemented in BufferedWriter, OutputStreamWriter, SystemErrWriter, and SystemOutWriter.

virtual void flush | ( | Pool & | p | ) | `[pure virtual]`

| Implemented in BufferedWriter, OutputStreamWriter, SystemErrWriter, and SystemOutWriter.

virtual void write | ( | const LogString & | str,
|  | Pool & | p
| ) | `[pure virtual]`

| Implemented in BufferedWriter, OutputStreamWriter, SystemErrWriter, and SystemOutWriter.

The documentation for this class was generated from the following file:

- writer.h